export interface Machine {
    MachineID: number;                   // ใช้ตาม entity (ตัว Q ใหญ่)
    name: string;                        // ชื่อเครื่องจักร
    type: string;                        // ประเภทเครื่องจักร
    lastMaintenanceDate?: string;        // วันที่ซ่อมบำรุงล่าสุด (ISO string)
    status: 'ACTIVE' | 'INACTIVE' | 'MAINTENANCE'; // สถานะเครื่องจักร
    notes?: string;                      // หมายเหตุเพิ่มเติม

  }
  